%define srcname xf86-video-mga
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-mga
Version: 1.4.6.1
Release: alt1
Serial: 1
Summary: Matrox video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: mga.xinf

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server >= 1.0.99.901
Requires: xorg-x11-dri-mga xorg-x11-extensions-glx
Provides: x11-driver-mga

BuildRequires: libdrm-devel libmesa-devel pkg-config xorg-x11-sdk
BuildRequires: xorg-x11-proto-devel xorg-x11-util-macros

%description
mga is an Xorg driver for Matrox video cards.  The driver is
fully accelerated, and provides support for the  following  framebuffer
depths:  8, 15, 16, 24, and an 8+24 overlay mode.  All visual types are
supported for depth 8, and both TrueColor and DirectColor  visuals  are
supported  for the other depths except 8+24 mode which supports Pseudo-
Color, GrayScale and TrueColor.   Multi-card  configurations  are  sup-
ported.   XVideo  is  supported  on G200 and newer systems, with either
TexturedVideo or video overlay.  The second head of dual-head cards  is
supported  for  the G450 and G550.  Support for the second head on G400
cards requires a binary-only "mga_hal" module that  is  available  from
Matrox  <http://www.matrox.com>, and may be on the CD supplied with the
card.  That module also provides various other enhancements, and may be
necessary  to  use  the  DVI  (digital)  output  on the G550 (and other
cards).

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--enable-dri \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/mga.xinf

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Fri Jun 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.6.1-alt1
- 1.4.6.1

* Sat Dec 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.6-alt1
- 1.4.6

* Thu Nov 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.5-alt1
- 1.4.5:
  + Enabled the Exa composite hooks on G550.
  + Bug #2168: Fix graphics corruptions with Mystique rev 2.
  + Removed some duplicated register definitions.
  + Removed some unused defines from mga_reg.h.
  + Register name tweak.
  + Use register names in MGASaveScreenMerged() rather than magic numbers.
  + Replaced more magic values with register names.
  + Removed a duplicated register definition.
  + Made some XAA function static.

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.4-alt2
- added videoaliases file from RH

* Sat Oct 28 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.4-alt1
- 1.4.4

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.3-alt1
- 1.4.3

* Tue Sep 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.2-alt1
- 1.4.2

* Thu Aug 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1-alt2.git20060809
- build for i586 and x86_64

* Thu Aug 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1-alt1.git20060809
- GIT snapshot 2006-08-09

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1-alt1
- 1.4.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt0.1
- initial release

